View Issue Details

This bug affects 1 person(s).
 16
IDProjectCategoryView StatusLast Update
15904Bug reportsSurvey editingpublic2021-03-15 15:37
ReporterJmantysalo Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version4.1.6 
Summary15904: Default survey admin & admin email not copied from user profile
DescriptionWhen making a new survey, survey admin and admin email not anymore copied from the user profile. They can be changed afterwards still.
Steps To ReproduceLog in with any other account but not main admin that was used in the installation phase. Create a survey.
Additional Informationhttps://www.limesurvey.org/community/forums/installation-a-update-issues/120309-default-survey-admin-admin-email
TagsNo tags attached.
Bug heat16
Complete LimeSurvey version number (& build)4.1.6+200220.
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMariaDB, newest available on RHEL 8
Server OS (if known)Linux, RHEL 8
Webserver software & version (if known)Apache
PHP Versionnewest available on RHEL 8

Relationships

related to 16149 closed See survey list - owner column is not correct 

Users monitoring this issue

Activities

DenisChenu

DenisChenu

2020-02-24 08:09

developer   ~56158

Last edited: 2020-02-24 08:09

View 2 revisions

3 way can be really interesting

- Owner : new default ?
- inherit (like current)
- Set to fixed current owner (3.X and previous system)

cdorin

cdorin

2020-04-03 12:24

manager   ~56925

Last edited: 2021-01-28 20:06

I do not have this issue (LS dev) - please wait till Monday when we will do another release. Thanks for your contributions!
ricardoalmeida

ricardoalmeida

2020-05-27 22:11

reporter   ~58062

Last edited: 2021-01-28 20:06

Hi, I am facing the same problem. I think it is related to the issue 16149.
Limesurvey version 4.2.4+200520 upgraded from 2.72.2+171017 using LDAP authentication.
cdorin

cdorin

2020-07-29 22:49

manager   ~59179

Last edited: 2021-01-28 20:06

hey there, could you please update to latest version and see if issue persists?

see 16149 as well
Jmantysalo

Jmantysalo

2020-07-30 11:05

reporter   ~59199

Last edited: 2021-01-28 20:06

> hey there, could you please update to latest version and see if issue persists?

Confirm: Now this works in Version 4.3.6+200727.

Many thanks, this is a good step for easier management.
Jmantysalo

Jmantysalo

2020-10-07 07:00

reporter   ~60098

Last edited: 2021-01-28 20:06

What now? Again in 4.3.16+200915 this does not work.
cdorin

cdorin

2020-12-28 18:30

manager   ~61252

Last edited: 2021-01-28 20:06

@jmantysalo - could you please confirm if now it is fixed in 4.4.0 RC1?
Jmantysalo

Jmantysalo

2021-01-04 12:54

reporter   ~61410

Last edited: 2021-01-28 20:06

> could you please confirm if now it is fixed in 4.4.0 RC1?

Sorry, but no. Still "Administrator" with "your-email@example.net".
gabrieljenik

gabrieljenik

2021-02-10 22:58

manager   ~62140

In LS3, we used to be able to set who was the details (name and email) for the admin of a survey.
That admin data would be used in emails, for example.

In LS4, when creating a survey, you can't fill that data anymore.
The fields are set with "inherit", and are not changable.
When those fields are "inherit" LS uses the data from the global config settings.

Actions suggested:
- Show the fields Admin Email and Admin Name.
- Prefill them, on the creation screen, with the defaults set on the global config.

That would be the easiest and most straight forward.

Action 2:
- Make the creation screen to have a dropdown with the following options:
  + Current User --> Upon creation, the admin email and name will be taken from the user and stamped.
  + Default --> Fields willbe filled with "inherit". Current behaviour.
  + Custom --> Admin Email and Name fields will be shown for being completed.

What do you think?

PS: Adding the option of owner could be tricky, as we would need to update that when the owner changes. That could be for another "feature".
Jmantysalo

Jmantysalo

2021-02-11 08:42

reporter   ~62144

For our use it would be sufficient to just have default name and email to be prefilled from the user creating the form. Or just having nothing and requiring the user to give those before invitations can be sent.

I suppose that some others would like to have some static default like surveys@ourcompany.invalid.

And some may want to restrict all mails sent from survey to be sent using from-address of the owner.
DenisChenu

DenisChenu

2021-02-11 09:05

developer   ~62145

> Prefill them, on the creation screen, with the defaults set on the global config.

I don't like the prefilling , stay inherit is better.

Action 2 seems better (in my opinion)

> PS: Adding the option of owner could be tricky, as we would need to update that when the owner changes. That could be for another "feature".

can be easi;ly done in plugin ;) (just for email)
gabrieljenik

gabrieljenik

2021-02-22 15:59

manager   ~62448

@c_schmitz What do you think?
Jmantysalo

Jmantysalo

2021-02-22 16:02

reporter   ~62450

Btw, if the DB connection fails when saving, then LS send data to the email of the survey admin. Hence would be nice if that would be a working address by default.
gabrieljenik

gabrieljenik

2021-02-25 16:11

manager   ~62524

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1786
gabrieljenik

gabrieljenik

2021-03-11 18:03

manager   ~63314

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31311
lime_release_bot

lime_release_bot

2021-03-15 15:37

administrator   ~63380

Fixed in Release 4.4.13+210315

Related Changesets

LimeSurvey: master 5662b541

2021-03-11 18:03:40

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 15904: Default survey admin & admin email not copied from user profile (#1786)

Allow user to select who is the admin of the newly created survey.
Had to adapt the CreateSurvey services and related to be able to take survey_admin as a parameter
Affected Issues
15904
mod - application/controllers/SurveyAdministrationController.php Diff File
mod - application/datavalueobjects/SimpleSurveyValues.php Diff File
mod - application/models/services/CreateSurvey.php Diff File
mod - application/views/surveyAdministration/tabCreate_view.php Diff File
mod - assets/packages/adminsidepanel/build.min/css/adminsidepanel.css Diff File
mod - assets/packages/adminsidepanel/build.min/css/adminsidepanel.rtl.css Diff File
mod - assets/packages/adminsidepanel/build.min/js/adminsidepanel.js Diff File
mod - assets/packages/adminsidepanel/build.min/js/adminsidepanel.js.map Diff File
mod - assets/packages/adminsidepanel/build/js/adminsidepanel.js Diff File
mod - assets/packages/adminsidepanel/lib/surveysettings.js Diff File
mod - tests/unit/models/CreateSurveyServiceTest.php Diff File

Issue History

Date Modified Username Field Change
2020-02-22 18:39 Jmantysalo New Issue
2020-02-24 08:08 DenisChenu Issue Monitored: DenisChenu
2020-02-24 08:09 DenisChenu Note Added: 56158
2020-02-24 08:09 DenisChenu Note Edited: 56158 View Revisions
2020-04-03 12:15 cdorin Zoho Sprints => |Yes|
2020-04-03 12:15 swendrich Zoho Sprints ID => 14469000000024049
2020-04-03 12:16 cdorin Priority none => normal
2020-04-03 12:16 cdorin Status new => confirmed
2020-04-03 12:16 cdorin Zoho Sprints Yes => |Yes|
2020-04-03 12:24 cdorin Note Added: 56925
2020-04-03 12:24 cdorin Assigned To => cdorin
2020-04-03 12:24 cdorin Status confirmed => feedback
2020-05-27 22:11 ricardoalmeida Note Added: 58062
2020-05-27 22:12 ricardoalmeida Issue Monitored: ricardoalmeida
2020-05-28 08:04 DenisChenu Relationship added related to 16149
2020-07-29 22:49 cdorin Note Added: 59179
2020-07-30 11:05 Jmantysalo Note Added: 59199
2020-07-30 11:05 Jmantysalo Status feedback => assigned
2020-10-07 07:00 Jmantysalo Note Added: 60098
2020-12-28 18:30 cdorin Note Added: 61252
2020-12-28 18:30 cdorin Assigned To cdorin =>
2020-12-28 18:30 cdorin Status assigned => feedback
2021-01-04 12:54 Jmantysalo Note Added: 61410
2021-01-04 12:54 Jmantysalo Status feedback => new
2021-01-28 20:06 cdorin Status new => confirmed
2021-01-28 20:06 cdorin Sync to Zoho Project => |Yes|
2021-02-10 22:58 gabrieljenik Note Added: 62140
2021-02-11 08:42 Jmantysalo Note Added: 62144
2021-02-11 09:05 DenisChenu Note Added: 62145
2021-02-17 16:30 c_schmitz Assigned To => c_schmitz
2021-02-17 16:30 c_schmitz Status confirmed => assigned
2021-02-22 15:59 gabrieljenik Note Added: 62448
2021-02-22 16:02 Jmantysalo Note Added: 62450
2021-02-24 17:07 c_schmitz Assigned To c_schmitz => gabrieljenik
2021-02-25 16:11 gabrieljenik Note Added: 62524
2021-03-11 18:03 gabrieljenik Changeset attached => LimeSurvey master 5662b541
2021-03-11 18:03 gabrieljenik Note Added: 63314
2021-03-11 18:03 gabrieljenik Resolution open => fixed
2021-03-15 15:37 lime_release_bot Sync to Zoho Project Yes => |Yes|
2021-03-15 15:37 lime_release_bot Note Added: 63380
2021-03-15 15:37 lime_release_bot Status assigned => closed